package com.dxhy.core.job.service;

/**
 * 功能描述
 *
 * @author 陈刚扬
 * @date 2020/10/30
 */

public interface CustomsInterfaceService {

    /**
     * 海关缴款书采集接口
     *
     * @param taxno
     * @param db
     * @param aceId
     * @param aceKey
     * @param company
     * @param taxName
     */
    void getCustoms(String taxno, String db, String aceId, String aceKey, String company, String taxName);

    /**
     * 海关缴款书状态变更获取接口
     *
     * @param taxno
     * @param db
     * @param aceId
     * @param aceKey
     */
    void getCustomsState(String taxno, String db, String aceId, String aceKey);

    /**
     * 缴款书认证结果获取接口
     */
    void getLtgalizeResult();

    /**
     * 缴款书申请认证接口
     */
    void customsLegalize();

    /**
     * 海关缴款书录入接口
     */
    void customsEntry();

    /**
     * 海关缴款书录入结果获取
     */
    void customsEntryResult();

}
